Loading...
Searching...
No Matches
Poll options
Apache Portability Runtime library » Poll Routines
Collaboration diagram for Poll options:

## Macros

#define | APR_POLLIN 0x001
#define | APR_POLLPRI 0x002
#define | APR_POLLOUT 0x004
#define | APR_POLLERR 0x010
#define | APR_POLLHUP 0x020
#define | APR_POLLNVAL 0x040

## Detailed Description

## Macro Definition Documentation

## APR_POLLERR

#define APR_POLLERR 0x010

Pending error

## APR_POLLHUP

#define APR_POLLHUP 0x020

Hangup occurred

## APR_POLLIN

#define APR_POLLIN 0x001

Can read without blocking

## APR_POLLNVAL

#define APR_POLLNVAL 0x040

Descriptor invalid

## APR_POLLOUT

#define APR_POLLOUT 0x004

Can write without blocking

## APR_POLLPRI

#define APR_POLLPRI 0x002

Priority data available